%global rosdistro fuerte
%global stackname roscpp_core
%global gitrev e92f9eb

Name:           ros-%{rosdistro}-roscpp-core
Version:        0.2.5
Release:        1.git%{gitrev}%{?dist}
Summary:        ROS C++ API

License:        BSD
URL:            http://www.ros.org/wiki/roscpp_core
#wget --content-disposition https://github.com/wg-debs/roscpp_core-release/tarball/upstream/0.2.5
Source0:        wg-debs-%{stackname}-release-upstream-%{version}-0-g%{gitrev}.tar.gz
Provides:       ros-roscpp-core = %{version}-%{release}
Provides:       ros-%{stackname} = %{version}-%{release}
BuildRequires:  cmake
BuildRequires:  gtest
BuildRequires:  boost-devel
BuildRequires:  ros-%{rosdistro}-catkin

%description
roscpp-core is an underlying library for support roscpp message data 
types. It is a lightweight/minimal library that can easily be used 
in non-ROS-based projects. 

%package devel
Requires: %{name}%{?_isa} = %{version}-%{release}
Provides: ros-roscpp-core-devel = %{version}-%{release}
Provides: ros-%{stackname}-devel = %{version}-%{release}
Summary:  Development files for %{name}

%description devel
Development files for %{name}

%prep
%setup -q -n wg-debs-%{stackname}-release-23858ee
sed -i 's/DESTINATION\ lib/DESTINATION\ %{_lib}/' rostime/CMakeLists.txt
sed -i 's/DESTINATION\ lib/DESTINATION\ %{_lib}/' roscpp_serialization/CMakeLists.txt
sed -i 's/DESTINATION\ lib/DESTINATION\ %{_lib}/' cpp_common/CMakeLists.txt

%build
mkdir build
pushd build
%cmake -DSETUPTOOLS_DEB_LAYOUT=OFF ..
popd

%install
rm -rf $RPM_BUILD_ROOT
make -C build install DESTDIR=$RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_libdir}
mv $RPM_BUILD_ROOT/usr/{lib,%{_lib}}/pkgconfig
sed -i 's|/lib|/%{_lib}|' $RPM_BUILD_ROOT%{_libdir}/pkgconfig/*.pc

#mv $RPM_BUILD_ROOT%{_usr}/etc $RPM_BUILD_ROOT%{_sysconfdir}
#mv $RPM_BUILD_ROOT%{_datadir}/ros{unit,lib}/bin/* $RPM_BUILD_ROOT%{_bindir}
#rmdir $RPM_BUILD_ROOT%{_datadir}/ros{unit,lib}/bin/

%files
#%{_sysconfdir}/catkin/profile.d/*
%{_libdir}/*.so
%{_datadir}/cpp_common
%{_datadir}/roscpp_core
%{_datadir}/roscpp_serialization
%{_datadir}/roscpp_traits
%{_datadir}/rostime

%files devel
%{_includedir}/ros
%{_libdir}/pkgconfig/*.pc

%changelog
* Tue Sep 04 2012 Rich Mattes <richmattes@gmail.com> - 0.2.5-1.gite92f9eb
- Initial package
